Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79599 - stty assigned timeout value is not acknowledged during async communications
Summary: stty assigned timeout value is not acknowledged during async communications
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel-utils
Version: 2.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-13 21:21 UTC by Scott Breece
Modified: 2013-03-06 05:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-18 03:03:37 UTC


Attachments (Terms of Use)

Description Scott Breece 2002-12-13 21:21:05 UTC
Description of problem:
I am using an IBM Netfinity X-Series server and a Windows 2000 PC that is 
running a Dawning Interface for Labratory equipment.  There is a cable 
connected to either com port on the back of the server and the other end is 
connected to the serial port of the PC.  We converted from an HPUX 10.20 to 
Linux, hence the new IBM.

A COBOL application calls a file with the stty command embedded.   This file 
contains the following lines:
/bin/stty sane -parenb -parodd cs8 cread -clocal -ixoff </dev/ttyS1
/bin/stty brkint ignpar istrip -crtscts -echoe -echoctl </dev/ttyS1
/bin/stty 9600 icrnl ixon ixoff isig opost onlcr tab3 -echo </dev/ttyS1
/bin/stty -F /dev/ttyS1 -icanon time 200 min 0

This file is only called once until the application is terminated.  Once the 
application is started again, the file is then called again.

We are polling the 2000 PC for data from Lab tests run on serially connected 
instruments.  If the PC doesn't send a response, there is a twenty second 
timeout period after which the application sends another poll to the PC.  

We have used this same environment on the HPUX platform and it works just 
fine.  The results we are getting; the application doesn't recognize the 
timeout value and therefore it keeps polling the PC on a continual basis.  It 
doesn't leave enough time for the PC to send data back to the COBOL 
application.  Also as a test environment to remove the 2000 PC, we set-up a 
TI928 terminal to test the serial port on the server, the terminal will not 
send any data back; the application didn't acknowledge the time out value and 
still kept polling.

Version-Release number of selected component (if applicable):

How reproducible:
Everytime

Steps to Reproduce:
1.Connect a serial cable the com ports on the server and the PC
2.Start the COBOL application of the Server
3.
       
Actual results:
The same results, the application continually polls the PC.

Expected results:
If the application on the server should receive acknowledgement from the PC, 
the data transfer process would take place.  After the data transfer, the 
application on the server would poll the PC again.  If the PC didn't send back 
an acknowledgement, the server app would go into the 20 second timeout period 
before sending another poll to the PC.  However, if the PC acknowledged the 
application poll; the data transfer process would take place.

Additional info:

Comment 2 Jason Baron 2004-09-08 20:54:11 UTC
This one is really old, sorry :( Is this still an issue?

Comment 3 Jason Baron 2004-11-18 03:03:37 UTC
there's been no update on this issue. If this is still an issue,
please re-open it.


Note You need to log in before you can comment on or make changes to this bug.